<?xml version='1.0' encoding='utf-8'?>

<!--
 @(#)taskType.xml	1.1 01/09/24
 Copyright (c) 09/24/01 Sun Microsystems, Inc. All Rights Reserved.
-->

<!DOCTYPE tasks SYSTEM "TaskType.dtd">

<tasks>
    <type
        ID="1"
        name="com.sun.symon.base.console.grouping.Grouping:TaskType.moduleLabel"
    >
        <editor
            presentation="console"
            class="com.sun.symon.base.console.grouping.task.CgModuleTaskEditorFactory"
        />
        <ACL
            operation="edit"
            allowUser="ANYUSER"
            allowGroup="ANYGROUP"
        />
        <ACL
            operation="delete"
            allowUser="ANYUSER"
            allowGroup="ANYGROUP"
        />
        <ACL
            operation="execute"
            allowUser="ANYUSER"
            allowGroup="ANYGROUP"
        />
        <command
            name="load"
            class="com.sun.symon.base.mgmtservice.task.MtLoadModuleCommand"
        />
        <command
            name="enable"
            class="com.sun.symon.base.mgmtservice.task.MtEnableModuleCommand"
        />
        <command
            name="disable"
            class="com.sun.symon.base.mgmtservice.task.MtDisableModuleCommand"
        />
        <command
            name="unload"
            class="com.sun.symon.base.mgmtservice.task.MtUnloadModuleCommand"
        />
    </type>
    <type
        ID="0"
        name="com.sun.symon.base.console.grouping.Grouping:TaskType.dataLabel"
    >
        <editor
            presentation="console"
            class="com.sun.symon.base.console.grouping.task.CgPropertyTaskEditorFactory"
        />
        <ACL
            operation="edit"
            allowUser="ANYUSER"
            allowGroup="ANYGROUP"
        />
        <ACL
            operation="delete"
            allowUser="ANYUSER"
            allowGroup="ANYGROUP"
        />
        <ACL
            operation="execute"
            allowUser="ANYUSER"
            allowGroup="ANYGROUP"
        />
        <command
            name="set"
            class="com.sun.symon.base.mgmtservice.task.MtSetURLCommand"
        />
        <command
            name="add_row"
            class="com.sun.symon.base.mgmtservice.task.MtAddRowCommand"
        />
        <command
            name="delete_row"
            class="com.sun.symon.base.mgmtservice.task.MtDelRowCommand"
        />
        <command
            name="modify_row"
            class="com.sun.symon.base.mgmtservice.task.MtModRowCommand"
        />
        <command
            name="enable_row"
            class="com.sun.symon.base.mgmtservice.task.MtEnableRowCommand"
        />
        <command
            name="disable_row"
            class="com.sun.symon.base.mgmtservice.task.MtDisableRowCommand"
        />
        <command
            name="delay"
            class="com.sun.symon.base.mgmtservice.task.MtDelayCommand"
        />
    </type>
    <type
        ID="2"
        name="com.sun.symon.base.console.grouping.Grouping:TaskType.mcpLabel"
    >
        <editor
            presentation="console"
            class="com.sun.symon.base.console.grouping.task.CgMCPTaskEditorFactory"
        />
        <ACL
            operation="edit"
            allowUser="ANYUSER"
            allowGroup="ANYGROUP"
        />
        <ACL
            operation="delete"
            allowUser="ANYUSER"
            allowGroup="ANYGROUP"
        />
        <ACL
            operation="execute"
            allowUser="ANYUSER"
            allowGroup="ANYGROUP"
        />
        <command
            name="mcp"
            class="com.sun.symon.base.mgmtservice.task.MtMCPCommand"
        />
    </type>
</tasks>

